using System;
using System.Collections.Generic;
using System.Text;
using IndianHealthService.BMXNet.Model;

namespace IndianHealthService.BMXNet.WinForm.Model
{
    internal class WinDivision : WinObject, SelectableDivision
    {

        public override bool Equals(object obj)
        {
            WinDivision div = obj as WinDivision;
            if (div == null)
            {
                return false;
            }
            else
            {
                return this.Ien.Equals(div.Ien);
            }
        }

        public override int GetHashCode()
        {
            return this.Ien.GetHashCode();
        }
        private String _name = null;

        public String Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private bool _mostRecentLookup = false;

        public bool MostRecentLookup
        {
            get { return _mostRecentLookup; }
            set { _mostRecentLookup = value; }
        }


        public override string ToString()
        {
            return this.Name;
        }
    }
}